tvbrowser.core.filters

## Class InfoBitFilter

- java.lang.Object
- - tvbrowser.core.filters.InfoBitFilter

- All Implemented Interfaces:
    ProgramFilter

      public class InfoBitFilter
      extends java.lang.Object
      implements ProgramFilter

  This Filter filters for infobits, depending on the given key name

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ARTS_FILTER_KEY`
    `static java.lang.String` | `AUDIO_DESCRIPTION_FILTER_KEY`
    `static java.lang.String` | `CHILDRENS_FILTER_KEY`
    `static java.lang.String` | `DOCUMENTARY_FILTER_KEY`
    `static java.lang.String` | `HD_FILTER_KEY`
    `static java.lang.String` | `MAGAZINE_FILTER_KEY`
    `static java.lang.String` | `MOVIE_FILTER_KEY`
    `static java.lang.String` | `NEW_FILTER_KEY`
    `static java.lang.String` | `NEWS_FILTER_KEY`
    `static java.lang.String` | `ORIGINAL_AUDIO_FILTER_KEY`
    `static java.lang.String` | `OTHERS_FILTER_KEY`
    `static java.lang.String` | `SERIES_FILTER_KEY`
    `static java.lang.String` | `SHOW_FILTER_KEY`
    `static java.lang.String` | `SPORTS_FILTER_KEY`
    `static java.lang.String` | `SUBTITLE_FILTER_KEY`
    `static java.lang.String` | `UNCATEGORIZED_FILTER_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfoBitFilter(java.lang.String name)`
    `InfoBitFilter(java.lang.String name, java.lang.String key, int infoBit)`
    `InfoBitFilter(java.lang.String name, java.lang.String key, int[] infoBits)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Program prog)` Accept only programs with subtitle or sign language
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `toString()` Name of Filter

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SUBTITLE_FILTER_KEY

          public static final java.lang.String SUBTITLE_FILTER_KEY

      See Also:
        Constant Field Values

    - #### AUDIO_DESCRIPTION_FILTER_KEY

          public static final java.lang.String AUDIO_DESCRIPTION_FILTER_KEY

      See Also:
        Constant Field Values

    - #### HD_FILTER_KEY

          public static final java.lang.String HD_FILTER_KEY

      See Also:
        Constant Field Values

    - #### NEW_FILTER_KEY

          public static final java.lang.String NEW_FILTER_KEY

      See Also:
        Constant Field Values

    - #### ORIGINAL_AUDIO_FILTER_KEY

          public static final java.lang.String ORIGINAL_AUDIO_FILTER_KEY

      See Also:
        Constant Field Values

    - #### ARTS_FILTER_KEY

          public static final java.lang.String ARTS_FILTER_KEY

      See Also:
        Constant Field Values

    - #### CHILDRENS_FILTER_KEY

          public static final java.lang.String CHILDRENS_FILTER_KEY

      See Also:
        Constant Field Values

    - #### DOCUMENTARY_FILTER_KEY

          public static final java.lang.String DOCUMENTARY_FILTER_KEY

      See Also:
        Constant Field Values

    - #### MAGAZINE_FILTER_KEY

          public static final java.lang.String MAGAZINE_FILTER_KEY

      See Also:
        Constant Field Values

    - #### MOVIE_FILTER_KEY

          public static final java.lang.String MOVIE_FILTER_KEY

      See Also:
        Constant Field Values

    - #### NEWS_FILTER_KEY

          public static final java.lang.String NEWS_FILTER_KEY

      See Also:
        Constant Field Values

    - #### OTHERS_FILTER_KEY

          public static final java.lang.String OTHERS_FILTER_KEY

      See Also:
        Constant Field Values

    - #### SERIES_FILTER_KEY

          public static final java.lang.String SERIES_FILTER_KEY

      See Also:
        Constant Field Values

    - #### SHOW_FILTER_KEY

          public static final java.lang.String SHOW_FILTER_KEY

      See Also:
        Constant Field Values

    - #### SPORTS_FILTER_KEY

          public static final java.lang.String SPORTS_FILTER_KEY

      See Also:
        Constant Field Values

    - #### UNCATEGORIZED_FILTER_KEY

          public static final java.lang.String UNCATEGORIZED_FILTER_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InfoBitFilter

          public InfoBitFilter(java.lang.String name)

    - #### InfoBitFilter

          public InfoBitFilter(java.lang.String name,
                       java.lang.String key,
                       int infoBit)

    - #### InfoBitFilter

          public InfoBitFilter(java.lang.String name,
                       java.lang.String key,
                       int[] infoBits)

  - ### Method Detail

    - #### accept

          public boolean accept(Program prog)

      Accept only programs with subtitle or sign language
      Specified by:
        `accept` in interface `ProgramFilter`
      Parameters:
        `prog` - Program to check
      Returns:
        true if prog is subtitled

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `ProgramFilter`
      Returns:
        the name of this filter

    - #### getKey

          public java.lang.String getKey()

    - #### toString

          public java.lang.String toString()

      Name of Filter
      Specified by:
        `toString` in interface `ProgramFilter`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)